Bullet Collision Detection & Physics Library: btDefaultCollisionConstructionInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btDefaultCollisionConstructionInfo Struct Reference

`#include <btDefaultCollisionConfiguration.h>`

Collaboration diagram for btDefaultCollisionConstructionInfo:
[legend]

## Public Member Functions
| btDefaultCollisionConstructionInfo ()

## Public Attributes
btPoolAllocator * | m_persistentManifoldPool
btPoolAllocator * | m_collisionAlgorithmPool
int | m_defaultMaxPersistentManifoldPoolSize
int | m_defaultMaxCollisionAlgorithmPoolSize
int | m_customCollisionAlgorithmMaxElementSize
int | m_useEpaPenetrationAlgorithm

## Detailed Description

Definition at line 23 of file btDefaultCollisionConfiguration.h.

## Constructor & Destructor Documentation

## ◆ btDefaultCollisionConstructionInfo()

btDefaultCollisionConstructionInfo::btDefaultCollisionConstructionInfo | ( |  | ) |
| inline

Definition at line 32 of file btDefaultCollisionConfiguration.h.

## Member Data Documentation

## ◆ m_collisionAlgorithmPool

btPoolAllocator* btDefaultCollisionConstructionInfo::m_collisionAlgorithmPool

Definition at line 26 of file btDefaultCollisionConfiguration.h.

## ◆ m_customCollisionAlgorithmMaxElementSize

int btDefaultCollisionConstructionInfo::m_customCollisionAlgorithmMaxElementSize

Definition at line 29 of file btDefaultCollisionConfiguration.h.

## ◆ m_defaultMaxCollisionAlgorithmPoolSize

int btDefaultCollisionConstructionInfo::m_defaultMaxCollisionAlgorithmPoolSize

Definition at line 28 of file btDefaultCollisionConfiguration.h.

## ◆ m_defaultMaxPersistentManifoldPoolSize

int btDefaultCollisionConstructionInfo::m_defaultMaxPersistentManifoldPoolSize

Definition at line 27 of file btDefaultCollisionConfiguration.h.

## ◆ m_persistentManifoldPool

btPoolAllocator* btDefaultCollisionConstructionInfo::m_persistentManifoldPool

Definition at line 25 of file btDefaultCollisionConfiguration.h.

## ◆ m_useEpaPenetrationAlgorithm

int btDefaultCollisionConstructionInfo::m_useEpaPenetrationAlgorithm

Definition at line 30 of file btDefaultCollisionConfiguration.h.

The documentation for this struct was generated from the following file:

- btDefaultCollisionConfiguration.h